Order details
Returns full details for a single order. Requires admin scope.
GET
/shops/{shop_id}/orders/{code}Authorization
AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Scopes:
adminPath parameters
shop_idstringrequiredShop ID or subdomain
codestringrequiredOrder code (e.g. `R1C3964`) or numeric ID
Responses
200Order resource
idintegershop_idintegercodestringstatusstringAllowed:
checkoutpendingclosedshippedinvalidnet_totalintegerOrder subtotal in cents (before shipping/discounts)
totalintegerFinal total in cents
shipping_totalintegershipping_descriptionstringdiscount_totalintegertracking_codestring | nullcourier_namestring | nulltotal_weight_in_gramsintegercreated_onstring<date-time>updated_onstring<date-time>pending_onstring<date-time> | nullclosed_onstring<date-time> | nullshipped_onstring<date-time> | nullfulfillmentobjectShow propertiesHide properties
fulfillment_methodstringAllowed:
shippingpickuppayment_infoobjectShow propertiesHide properties
typestringnamestringauth_codestringtransaction_idstring_linksobject_embeddedobjectShow propertiesHide properties
contactContactSummaryShow propertiesHide properties
idintegernamestringemailstringphone_numberstringaddressAddressShow propertiesHide properties
streetstringstreet_2stringlocality_namestringregion_namestringcountry_namestringcountry_codestringpostal_codestring | nulllat_longstringLatitude,longitude pair
line_itemsLineItem[]Show propertiesHide properties
Array of
LineItemproduct_idintegerproduct_titlestringunit_priceintegerunitsintegerdiscount_totalintegernet_totalintegertotalintegervariant_idintegervariant_titlestringvariant_skustringweight_in_gramsintegerpromotionPromotionShow propertiesHide properties
namestringdiscountintegerdiscount_typestringAllowed:
$%free_shippingbooleandiscountsobject[]404Resource not found
messagestringRequest
curl -X GET "https://api.onbolder.com/v1/shops/string/orders/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v1/shops/string/orders/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v1/shops/string/orders/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": 0,
"shop_id": 0,
"code": "string",
"status": "checkout",
"net_total": 0,
"total": 0,
"shipping_total": 0,
"shipping_description": "string",
"discount_total": 0,
"tracking_code": "string",
"courier_name": "string",
"total_weight_in_grams": 0,
"created_on": "2019-08-24T14:15:22Z",
"updated_on": "2019-08-24T14:15:22Z",
"pending_on": "2019-08-24T14:15:22Z",
"closed_on": "2019-08-24T14:15:22Z",
"shipped_on": "2019-08-24T14:15:22Z",
"fulfillment": {
"fulfillment_method": "shipping"
},
"payment_info": {
"type": "string",
"name": "string",
"auth_code": "string",
"transaction_id": "string"
},
"_links": {},
"_embedded": {
"contact": {
"id": 0,
"name": "string",
"email": "string",
"phone_number": "string"
},
"address": {
"street": "string",
"street_2": "string",
"locality_name": "string",
"region_name": "string",
"country_name": "string",
"country_code": "string",
"postal_code": "string",
"lat_long": "string"
},
"line_items": [
{
"product_id": 0,
"product_title": "string",
"unit_price": 0,
"units": 0,
"discount_total": 0,
"net_total": 0,
"total": 0,
"variant_id": 0,
"variant_title": "string",
"variant_sku": "string",
"weight_in_grams": 0
}
],
"promotion": {
"name": "string",
"discount": 0,
"discount_type": "$",
"free_shipping": true
},
"discounts": [
{}
]
}
}{
"message": "string"
}